diff -rbup synth.orig/arch/current/ChangeLog synth/arch/current/ChangeLog
--- synth.orig/arch/current/ChangeLog	Mon Jun 21 11:53:25 2004
+++ synth/arch/current/ChangeLog	Wed Aug  4 14:16:40 2004
@@ -1,3 +1,9 @@
+2004-08-04  Alexander Neundorf <alexander.neundorf@jenoptik.com>
+        * include/hal_io.h
+        Add cyg_hal_sys_mkdir() system call
+        * include/hal_intr.h
+        Add HAL_PLATFORM_RESET() macro
+
 2004-06-21  Alexander Neundorf <alexander.neundorf@jenoptik.com>
 
 	* include/hal_io.h: 
diff -rbup synth.orig/arch/current/include/hal_intr.h synth/arch/current/include/hal_intr.h
--- synth.orig/arch/current/include/hal_intr.h	Fri May 24 01:05:27 2002
+++ synth/arch/current/include/hal_intr.h	Wed Aug  4 14:14:40 2004
@@ -214,6 +214,8 @@ externC void                hal_interrup
     hal_interrupt_set_level(_vector_, _level_);                 \
     CYG_MACRO_END
 
+#define HAL_PLATFORM_RESET()                    cyg_hal_sys_exit(0)
+
 // Additional data exported by the synthetic target interrupt handling
 // subsystem. These two variables correspond to typical interrupt
 // status and mask registers.
diff -rbup synth.orig/arch/current/include/hal_io.h synth/arch/current/include/hal_io.h
--- synth.orig/arch/current/include/hal_io.h	Mon Jun 21 11:53:26 2004
+++ synth/arch/current/include/hal_io.h	Wed Aug  4 14:18:22 2004
@@ -492,6 +492,7 @@ externC int cyg_hal_sys_readdir(unsigned
                                 unsigned int count);
 externC int cyg_hal_sys_lstat(const char* name, struct cyg_hal_sys_stat *buf);
 externC int cyg_hal_sys_fstat(int fd, struct cyg_hal_sys_stat *buf);
+externC int cyg_hal_sys_mkdir(const char* path, int mode);
 
 // Access to environmental data
 extern int              cyg_hal_sys_argc;
diff -rbup synth.orig/i386linux/current/ChangeLog synth/i386linux/current/ChangeLog
--- synth.orig/i386linux/current/ChangeLog	Mon Jun 21 11:55:02 2004
+++ synth/i386linux/current/ChangeLog	Wed Aug  4 14:19:02 2004
@@ -1,3 +1,9 @@
+2004-08-04  Alexander Neundorf <alexander.neundorf@jenoptik.com>
+
+	* src/syscall-i386-linux-1.0.S:
+	Add mkdir system call
+
+
 2004-06-21  Alexander Neundorf <alexander.neundorf@jenoptik.com>
 
 	* src/syscall-i386-linux-1.0.S:
diff -rbup synth.orig/i386linux/current/src/syscall-i386-linux-1.0.S synth/i386linux/current/src/syscall-i386-linux-1.0.S
--- synth.orig/i386linux/current/src/syscall-i386-linux-1.0.S	Mon Jun 21 11:55:02 2004
+++ synth/i386linux/current/src/syscall-i386-linux-1.0.S	Wed Aug  4 14:13:40 2004
@@ -439,3 +439,4 @@ SYSCALL2(access)
 SYSCALL3(readdir)
 STATCALL2(lstat)
 STATCALL2(fstat)
+SYSCALL2(mkdir)
